Package com.independentsoft.office.spreadsheet.styles

# Enum Class TableStyleType

java.lang.Object
java.lang.Enum<TableStyleType>
com.independentsoft.office.spreadsheet.styles.TableStyleType

All Implemented Interfaces:
  `Serializable`, `Comparable<TableStyleType>`, `Constable`

public enum TableStyleType extends Enum<TableStyleType>
The Enum TableStyleType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLANK_ROW`
  `FIRST_COLUMN`
  `FIRST_COLUMN_STRIPE`
  `FIRST_COLUMN_SUBHEADING`
  `FIRST_HEADER_ROW`
  `FIRST_ROW_STRIPE`
  `FIRST_ROW_SUBHEADING`
  `FIRST_SUBTOTAL_COLUMN`
  `FIRST_SUBTOTAL_ROW`
  `FIRST_TOTAL_ROW`
  `HEADER_ROW`
  `LAST_COLUMN`
  `LAST_HEADER`
  `LAST_TOTAL_ROW`
  `NONE`
  `PAGE_FIELD_LABELS`
  `PAGE_FIELD_VALUES`
  `SECOND_COLUMN_STRIPE`
  `SECOND_COLUMN_SUBHEADING`
  `SECOND_ROW_STRIPE`
  `SECOND_ROW_SUBHEADING`
  `SECOND_SUBTOTAL_COLUMN`
  `SECOND_SUBTOTAL_ROW`
  `THIRD_COLUMN_SUBHEADING`
  `THIRD_ROW_SUBHEADING`
  `THIRD_SUBTOTAL_COLUMN`
  `THIRD_SUBTOTAL_ROW`
  `TOTAL_ROW`
  `WHOLE_TABLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TableStyleType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TableStyleType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BLANK_ROW

    public static final TableStyleType BLANK_ROW

  - ### FIRST_COLUMN

    public static final TableStyleType FIRST_COLUMN

  - ### FIRST_COLUMN_STRIPE

    public static final TableStyleType FIRST_COLUMN_STRIPE

  - ### FIRST_COLUMN_SUBHEADING

    public static final TableStyleType FIRST_COLUMN_SUBHEADING

  - ### FIRST_HEADER_ROW

    public static final TableStyleType FIRST_HEADER_ROW

  - ### FIRST_ROW_STRIPE

    public static final TableStyleType FIRST_ROW_STRIPE

  - ### FIRST_ROW_SUBHEADING

    public static final TableStyleType FIRST_ROW_SUBHEADING

  - ### FIRST_SUBTOTAL_COLUMN

    public static final TableStyleType FIRST_SUBTOTAL_COLUMN

  - ### FIRST_SUBTOTAL_ROW

    public static final TableStyleType FIRST_SUBTOTAL_ROW

  - ### FIRST_TOTAL_ROW

    public static final TableStyleType FIRST_TOTAL_ROW

  - ### HEADER_ROW

    public static final TableStyleType HEADER_ROW

  - ### LAST_COLUMN

    public static final TableStyleType LAST_COLUMN

  - ### LAST_HEADER

    public static final TableStyleType LAST_HEADER

  - ### LAST_TOTAL_ROW

    public static final TableStyleType LAST_TOTAL_ROW

  - ### PAGE_FIELD_LABELS

    public static final TableStyleType PAGE_FIELD_LABELS

  - ### PAGE_FIELD_VALUES

    public static final TableStyleType PAGE_FIELD_VALUES

  - ### SECOND_COLUMN_STRIPE

    public static final TableStyleType SECOND_COLUMN_STRIPE

  - ### SECOND_COLUMN_SUBHEADING

    public static final TableStyleType SECOND_COLUMN_SUBHEADING

  - ### SECOND_ROW_STRIPE

    public static final TableStyleType SECOND_ROW_STRIPE

  - ### SECOND_ROW_SUBHEADING

    public static final TableStyleType SECOND_ROW_SUBHEADING

  - ### SECOND_SUBTOTAL_COLUMN

    public static final TableStyleType SECOND_SUBTOTAL_COLUMN

  - ### SECOND_SUBTOTAL_ROW

    public static final TableStyleType SECOND_SUBTOTAL_ROW

  - ### THIRD_COLUMN_SUBHEADING

    public static final TableStyleType THIRD_COLUMN_SUBHEADING

  - ### THIRD_ROW_SUBHEADING

    public static final TableStyleType THIRD_ROW_SUBHEADING

  - ### THIRD_SUBTOTAL_COLUMN

    public static final TableStyleType THIRD_SUBTOTAL_COLUMN

  - ### THIRD_SUBTOTAL_ROW

    public static final TableStyleType THIRD_SUBTOTAL_ROW

  - ### TOTAL_ROW

    public static final TableStyleType TOTAL_ROW

  - ### WHOLE_TABLE

    public static final TableStyleType WHOLE_TABLE

  - ### NONE

    public static final TableStyleType NONE

- ## Method Details

  - ### values

    public static TableStyleType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TableStyleType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null